const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Kepulauan Seribu',
    'Kota Jakarta Barat',
    'Kota Jakarta Pusat',
    'Kota Jakarta Selatan',
    'Kota Jakarta Timur',
    'Kota Jakarta Utara'

    // 6
];

exports.seedDKIJakartaCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'DKI Jakarta' },
    });

    if (!province) {
        console.error('❌ Province DKI Jakarta not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: {
                updatedAt: timeLocal.now().toDate()
            },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ DKI Jakarta City seeded!.');
};